Audit Logs
List all Audit Logs Returns array of audit logs for given team and filters
The request has succeeded.
Response model for listing audit logs
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/audit-logs?pageSize=1&pageNumber=1&startDate=2026-01-01&endDate=2026-01-01 HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": 1,
"resource": "text",
"action": "text",
"actor": {
"userID": "text",
"userName": "text",
"userEmail": "text",
"fullName": "text"
},
"client": "text",
"timestamp": "text",
"team": {
"id": "text",
"name": "text",
"isDeleted": true
}
}
],
"metadata": {
"totalCount": 1
}
}Initiate an asynchronous export of audit logs based on the provided filters. The export file will be generated and available for download. Use 'Get details of Audit Logs export history by ID' API to retrieve the download URL.
Export Audit logs Initiates export of audit logs based on provided filters
Request model for exporting audit logs
^\SThe request has succeeded.
Response model for exporting audit logs
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/audit-logs/export HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 204
{
"filters": {
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"resource": [
"text"
],
"action": [
"text"
],
"actor": [
"text"
],
"team": [
"text"
],
"client": [
"text"
]
},
"name": "text",
"description": "text",
"exportType": "csv"
}{
"data": {
"id": "text",
"message": "text"
}
}List all Audit Logs export history Returns array of audit logs export history
The request has succeeded.
Response model for listing audit logs export history
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/audit-logs/export/history?pageSize=1&pageNumber=1 HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"name": "text",
"description": "text",
"exportedAt": "text",
"requestedBy": {
"userID": "text",
"userName": "text",
"userEmail": "text",
"fullName": "text"
},
"downloadLink": "text",
"status": "text",
"filters": {
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"resource": [
"text"
],
"action": [
"text"
],
"actor": [
{
"userID": "text",
"userName": "text",
"userEmail": "text",
"fullName": "text"
}
],
"team": [
{
"id": "text",
"name": "text",
"isDeleted": true
}
],
"client": [
"text"
]
}
}
],
"metadata": {
"totalCount": 1
}
}Get details of Audit Logs export history by ID Returns audit log export history details for the specified ID
The request has succeeded.
Response model for getting audit log export history by ID
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/audit-logs/export/history/{id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": "text",
"name": "text",
"description": "text",
"exportedAt": "text",
"requestedBy": {
"userID": "text",
"userName": "text",
"userEmail": "text",
"fullName": "text"
},
"downloadLink": "text",
"status": "text",
"filters": {
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"resource": [
"text"
],
"action": [
"text"
],
"actor": [
{
"userID": "text",
"userName": "text",
"userEmail": "text",
"fullName": "text"
}
],
"team": [
{
"id": "text",
"name": "text",
"isDeleted": true
}
],
"client": [
"text"
]
}
}
}Get audit log by ID Returns audit log details for the specified ID
The request has succeeded.
Response model for getting audit log by ID
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/audit-logs/{id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": 1,
"resource": "text",
"action": "text",
"actor": {
"userID": "text",
"userName": "text",
"userEmail": "text",
"fullName": "text"
},
"client": "text",
"timestamp": "text",
"timezone": "text",
"team": {
"id": "text",
"name": "text",
"isDeleted": true
},
"tokenType": "text",
"ipAddress": "text",
"additionalInfo": "text",
"meta": {},
"userAgent": "text"
}
}Last updated